<% local form, viewlibrary, page_info = ... 
require("viewfunctions")
%>

<H1><%= html.html_escape(form.label) %></H1>
<% 
for name,val in pairs(form.value) do val.name = name end
form.value.table.readonly = true
form.value.table.type = "text"
form.value.chain.readonly = true
form.value.position.readonly = true
form.action = page_info.script .. page_info.prefix .. page_info.controller .. "/" .. page_info.action
displayformstart(form)
%>

<H2>Rule Identification</H2><DL>
<% 
displayformitem(form.value.table)
displayformitem(form.value.chain)
displayformitem(form.value.position)
%>
</DL><H2>Basic Parameters</H2><DL>
<% 
displayformitem(form.value.jump)
displayformitem(form.value.protocol)
displayformitem(form.value.in_interface)
displayformitem(form.value.out_interface)
displayformitem(form.value.source)
displayformitem(form.value.destination)
%>
</DL><DL id="details">
<%
displayformitem(form.value.goto)
displayformitem(form.value.fragment)
displayformitem(form.value.set_counters)
%>
</DL><H2>Extended Parameters</H2><DL>
<% 
displayformitem(form.value.comment)
displayformitem(form.value.addrtype_src_type)
displayformitem(form.value.addrtype_dst_type)
displayformitem(form.value.icmp_type)
displayformitem(form.value.src_range)
displayformitem(form.value.dst_range)
displayformitem(form.value.mac_source)
displayformitem(form.value.sports)
displayformitem(form.value.dports)
displayformitem(form.value.ports)
displayformitem(form.value.state)
displayformitem(form.value.tcp_sport)
displayformitem(form.value.tcp_dport)
displayformitem(form.value.udp_sport)
displayformitem(form.value.udp_dport)
%>
</DL><H2><%= html.html_escape(form.option) %></H2>
<% displayformend(form) %>
